import Phi.Types
import Phi.Widget
import Phi.Panel
import Phi.Border
import Phi.X11

import Phi.Widgets.Clock
import Phi.Widgets.Taskbar

main :: IO ()
main = do
  runPhi defaultXConfig defaultPanelConfig { panelPosition = Bottom }
    [theTaskbar, brightBorder [theClock]]
    where
      theTaskbar = taskbar defaultTaskbarConfig { taskBorder = BorderConfig (BorderWidth 2 4 2 4) 1 (BorderWidth 0 10 0 10) (0.9, 0.9, 0.9, 0.65) (0.45, 0.45, 0.45, 0.8) 5 0
                                                , activeTaskBorder = BorderConfig (BorderWidth 2 4 2 4) 1 (BorderWidth 0 10 0 10) (1, 1, 1, 0.65) (0, 0, 0, 0.8) 5 0
                                                }
      theClock = clock defaultClockConfig { clockFormat = "<span font='Sans 8'>%R</span>\n<span font='Sans 6'>%A %d %B</span>"
                                          , lineSpacing = (-2)
                                          , clockSize = 75
                                          }
      brightBorder = border $ BorderConfig (simpleBorderWidth 1) 1 (BorderWidth (-2) 3 0 3) (0.5, 0.5, 0.5, 0.65) (0.85, 0.85, 0.85, 0.8) 5 0
